Skip to main content
GET
/
v1
/
momos
List Momos
curl --request GET \
  --url https://api.monime.io/v1/momos \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.monime.io/v1/momos"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.monime.io/v1/momos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": [
    {
      "providerId": "m17",
      "name": "Orange Money",
      "country": "SL",
      "status": {
        "active": true
      },
      "featureSet": {
        "payout": {
          "canPayTo": true,
          "schemes": [
            "<string>"
          ],
          "metadata": {}
        },
        "payment": {
          "canPayFrom": true,
          "schemes": [
            "<string>"
          ],
          "metadata": {}
        },
        "kycVerification": {
          "canVerifyAccount": true,
          "metadata": {}
        }
      },
      "createTime": "2023-11-07T05:31:56Z",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "count": 123,
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Monime-Version
enum<string> | null

Specifies which version of the Monime API will handle this request.

Available options:
caph.2025-08-23,
caph.2025-06-20

Query Parameters

limit
integer
default:10

Maximum number of items to return in a single page. Must be between 1 and 50. Defaults to 10 if not specified.

Required range: 1 <= x <= 50
after
string | null

Pagination cursor for fetching the next page of results. Set this to the 'next' cursor value from a previous response to continue paginating forward.

Maximum string length: 2000
country
string
required

ISO 3166-1 alpha-2 country code (e.g., 'SL', 'GH') to filter momos by region.

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
Momo · object[] | null

The list of items in the response

pagination
object

The pagination info associated with the response